package org.dromara.system.service;

import org.dromara.system.domain.SchoolRecipe;
import org.dromara.system.domain.vo.SchoolRecipeVo;
import org.dromara.system.domain.bo.SchoolRecipeBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 学校食谱Service接口
 *
 * @author boman
 * @date 2023-09-22
 */
public interface ISchoolRecipeService {

    /**
     * 查询学校食谱
     */
    SchoolRecipeVo queryById(Long id);

    /**
     * 查询学校食谱列表
     */
    TableDataInfo<SchoolRecipeVo> queryPageList(SchoolRecipeBo bo, PageQuery pageQuery);

    /**
     * 查询学校食谱列表
     */
    List<SchoolRecipeVo> queryList(SchoolRecipeBo bo);

    /**
     * 新增学校食谱
     */
    Boolean insertByBo(SchoolRecipeBo bo);

    /**
     * 修改学校食谱
     */
    Boolean updateByBo(SchoolRecipeBo bo);

    /**
     * 校验并批量删除学校食谱信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
